package com.company.ftsproblem.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Table(name = "FTSPROBLEM_CITY")
@Entity(name = "ftsproblem_City")
@NamePattern("%s|name")
public class City extends StandardEntity {
    private static final long serialVersionUID = 9206332850087659525L;

    @Column(name = "CODE")
    private String code;

    @Column(name = "NAME")
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}